Delete an AppMirror resource
Deletes an AppMirror resource, initiating the removal of associated resources on both source and destination clusters. Use this endpoint to clean up resources linked to an AppMirror relationship.
HTTP method and endpoint
DELETE /accounts/{account_id}/k8s/v1/appMirrors/{appMirror_id}
Usage notes
Removes the specified AppMirror API resource. Starts a process to asynchronously remove the AppMirror resource, along with any resources on the source and destination clusters that were created as a result of the AppMirror relationship. The resources removed are dependent on the state of the relationship at the time of deletion.
Side Effects
-
The stateDesired field is set to "deleted".
-
The state field is set to "deleting".
-
If state is "established", the TridentMirrorRelationships and PersistentVolumeClaims created by the AppMirror relationship will be deleted.
-
If state is "failedOver", the TridentMirrorRelationships created by the AppMirror relationship will be deleted and the PersistentVolumeClaims in the destination application will be left in place.
-
When the asynchronous delete operation is completed, the AppMirror API resource will be removed from both the source and destination applications.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
ID of the containing account resource
|
appMirror_id |
string |
path |
True |
ID of the appMirror collection to list |
Response
Status: 204, Indicates if the appMirror resource was deleted.
Response
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Response
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
array[invalidParams] |
False |
List of invalid query parameters |
Example response
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Response
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example error response
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definitions
See Definitions
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid query parameter |
reason |
string |
True |
Reason why the query parameter is invalid |